Name:           harminv
Version:        1.3.1
Release:        15%{?dist}
Summary:        Program and library for solving the harmonic inversion problem

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://ab-initio.mit.edu/wiki/index.php/Harminv
Source0:        http://ab-initio.mit.edu/harminv/harminv-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gfortran, atlas-devel

%description
Harminv is a free program (and accompanying library) to solve the
problem of "harmonic inversion."  Given a discrete, finite-length
signal that consists of a sum of finitely-many sinusoids (possibly
exponentially decaying), it determines the frequencies, decay
constants, amplitudes, and phases of those sinusoids.

%package devel
Summary:        Development files for harminv
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files for harminv.


%prep
%setup -q

%build
export CFLAGS="-I%{_includedir}/atlas"
export LDFLAGS="-L%{_libdir}/atlas"
export F77=gfortran
%configure --enable-shared --disable-static --with-cxx
make %{?_smp_mflags}
# cat harminv.pc | sed -e 's|-L[^ ]*gcc[^ ]*||g' > harminv.pc.NEW
# mv -f harminv.pc.NEW harminv.pc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog NEWS
%{_bindir}/harminv
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%exclude %{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 16 2008 Deji Akingunola <dakingun@gmail.com> - 1.3-14
- It really doesn't need lapack-devel, my bad

* Tue Dec 16 2008 Deji Akingunola <dakingun@gmail.com> - 1.3-13
- BR lapack-devel

* Mon Dec 15 2008 Deji Akingunola <dakingun@gmail.com> - 1.3-12
- Rebuild for atlas-3.8.2

* Fri May 23 2008 Jon Stanley <jonstanley@gmail.com> - 1.3-11
- Fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3.1-10
- Autorebuild for GCC 4.3

* Sat Aug 25 2007  Ed Hill <ed@eh3.com> - 1.3.1-9
- rebuild for BuildID

* Tue Oct 17 2006  Ed Hill <ed@eh3.com> - 1.3.1-8
- try w/o blas and lapack BRs and with sanitized dirs

* Tue Oct 17 2006  Ed Hill <ed@eh3.com> - 1.3.1-7
- re-add lapack-devel since it fails to build without it

* Tue Oct 17 2006  Ed Hill <ed@eh3.com> - 1.3.1-6
- re-add blas-devel since it fails to build without it

* Tue Oct 17 2006  Ed Hill <ed@eh3.com> - 1.3.1-5
- remove pc file, manpage in main, and F77 as env var

* Sun Oct 15 2006  Ed Hill <ed@eh3.com> - 1.3.1-4
- include license copy in doc

* Sun Oct 15 2006  Ed Hill <ed@eh3.com> - 1.3.1-3
- sanitize harminv.pc

* Sun Oct 15 2006  Ed Hill <ed@eh3.com> - 1.3.1-2
- remove static libs and sanitize harminv.pc

* Wed Sep 20 2006  Ed Hill <ed@eh3.com> - 1.3.1-1
- initial package creation

